Subject: Re: [RFC] Add a suffix option to git-format-patch

From: Andreas Ericsson <[email-masked]>
Date: Wed, 17 Jan 2007 17:57:41 +0100

David Kågedal wrote:
> "Josh Boyer" <[email-masked]> writes:
> 
>> Hi All,
>>
>> I use git quite a bit to track my changes and then use
>> git-format-patch to generate patches to send on to others.  For the
>> most part, it works great but I find myself constantly doing:
>>
>> mv xxxx-foo.txt xxxx-foo.patch
> 
> Seconded. I would even prefer .patch to be default, but I guess a
> config parameter would help me there.
> 

Thirded, although I'd rather have it .gpatch, as it's a full commit with 
message and all. It isn't necessarily usable with the 'patch' program 
without manual massage first.

I can live with .txt though. Not many other files I keep around have 
names quite like 
0001-loadbalance_module-support-config-fanout-in-static-mesh.txt, so 
it's not as if I frequently confuse them.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231